> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update User

> This endpoint updates a `user`.

Use this endpoint to update the attributes of a specific `user`. Atrium will respond with the updated `user` object.

Disabling a `user` means that accounts and transactions associated with it will not be updated in the background by MX. It will also restrict access to that user's data until they are no longer disabled.

None of these parameters are required, but the `user` object cannot be empty.

<ParamField body="identifier" type="string" />

<ParamField body="is_disabled" type="string" />

<ParamField body="metadata" type="string" />

<RequestExample>
  ```shell Request theme={null}
  curl -i -X PUT 'https://vestibule.mx.com/users/{user_guid}' \  -H 'Accept: application/vnd.mx.atrium.v1+json' \  -H 'Content-Type: application/json' \  -H 'MX-API-Key: {mx_api_key}' \  -H 'MX-Client-ID: {mx_client_id}' \  -d '{        "user": {          "metadata": "{\"first_name\": \"Steven\", \"last_name\": \"Universe\"}"        }      }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "user": {
      "guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54",
      "identifier": "unique_id",
      "is_disabled": false,
      "metadata": "{\"first_name\": \"Steven\", \"last_name\": \"Universe\"}"
    }
  }
  ```
</ResponseExample>
